ImageMagick libMagick组件 缓冲区溢出漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1194976 漏洞类型 缓冲区溢出
发布时间 2006-05-18 更新时间 2006-05-18
CVE编号 CVE-2006-2440 CNNVD-ID CNNVD-200605-335
漏洞平台 N/A CVSS评分 7.5
|漏洞来源
https://www.securityfocus.com/bid/83934
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200605-335
|漏洞详情
ImageMagick6.0.6.2的libMagick组件存在基于堆的缓冲区溢出。可能是攻击者借助一个能在ExpandFilenames函数进行的文件名glob扩展期间触发溢出的图像索引数组,执行任意代码。
|受影响的产品
ImageMagick ImageMagick 6.2.4 ImageMagick ImageMagick 6.0.6.2 + Ubuntu Ubuntu Linux 5.0 4 powerpc + Ubuntu Ubuntu Linux 5.0 4 i386
|参考资料

来源:bugs.debian.org
链接:http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=345595
来源:REDHAT
名称:RHSA-2007:0015
链接:http://www.redhat.com/support/errata/RHSA-2007-0015.html
来源:DEBIAN
名称:DSA-1168
链接:http://www.debian.org/security/2006/dsa-1168
来源:SECUNIA
名称:24284
链接:http://secunia.com/advisories/24284
来源:SECUNIA
名称:24186
链接:http://secunia.com/advisories/24186
来源:SECUNIA
名称:21719
链接:http://secunia.com/advisories/21719
来源:SGI
名称:20070201-01-P
链接:ftp://patches.sgi.com/support/free/security/advisories/20070201-01-P.asc